﻿--[[
Name: HealPoints enUS locale
Revision: $Revision: 113 $
Translated by: 
- Pauladin@Elune
]]

local localeName = "enUS";
local default = true;
local debug = false;

--[===[@debug@
	localeName = "qpsPLOC";
	default = false;
	debug = true;
--@end-debug@]===]


local L = LibStub("AceLocale-3.0"):NewLocale("HealPoints", localeName, default, debug) --true=this is the default locale
if not L then return end

-- To translate AceLocale strings, replace true with the translation string
-- Before: L["Show Item ID"] = true
-- After:  L["Show Item ID"] = "顯示物品編號"

--------------
-- Tooltips --
--------------
	L["HealPoints"] = true;
	L["PowerPoints"] = true;
	L["EndurancePoints"] = true;
	L["Heal Points"] = true;
	L["Power Points"] = true;
	L["Endurance Points"] = true;
	L["Relative Stat Values"] = true;
	L["Hint: Click to toggle the calculator window"] = true;
	L["Right-click to open the options menu"] = true;
	L["Hint: Click to show the HealPoints calculator"] = true;

	
	L[" (Top/Bottom):"] = true; --Top slot / Bottom slot
	L[" (Main/Off):"] = true; --Main Hand / Off Hand
	L[" (Main+Off):"] = true; --Main Hand + Off Hand
	
	
------------------------------------------------------------------	
-- HealPoints_Options.lua - Ace options dialog and command line --
------------------------------------------------------------------
	L["HealPoints Configuration."] = true;
	L["Calculator"] = true;
	L["Display the HealPoints calculator"] = true;
	L["Values in tooltips"] = true;
	L["Toggles the display of HealPoints change in item tooltips."] = true;
	L["Debug mode"] = true;
	L["Toggles the display of debug messages."] = true;
	L["Most valuable stats"] = true;
	L["Lists the most valuable stat ranking according to current gear and buffs."] = true;
	L["Gem selector"] = true;
	L["Blue Sockets"] = true;
	L["Select gem to be used for empty blue socket calculations."] = true;
	L["Red Sockets"] = true;
	L["Select gem to be used for empty red socket calculations."] = true;
	L["Yellow Sockets"] = true;
	L["Select gem to be used for empty yellow socket calculations."] = true;
	L["Restored general defaults"] = true;
	
	--Tooltips
	L["Tooltips"] = true;
	L["Ignore Gems"] = true;
	L["Ignore gems when comparing items"] = true;
	L["Ignore Enchants"] = true;
	L["Ignore enchants when comparing items"] = true;
	L["Ignore Prismatic"] = true;
	L["Igmore prismatic sockets when comparing items"] = true;
	L["Restored tooltip defaults"] = true;
						
	

--------------------------------------------------	
-- ConfigUI.lua - HealPointsConfigUI:setTooltip --
--------------------------------------------------
    L["Number of targets"] = true;
    L["NumberOfTargetsMessage"] = "Number of targets you try to keep the HoT constantly running on (mana permitting) or number of targets for AoE heals.";
  
    L["Starting mana"] = true;
    L["StartingManaMessage"] = "Percentage of mana available at the start of the computation.";
  
	L["Replenishment"] = true;
    L["ReplentishmentMessage"] = "Assume that the Replenishment buff is always active.";

    L["Divine Plea"] = true;
    L["DivinePleaMessage"] = "Assume that Divine Plea is used on every cooldown.";  

----------------------
-- CalculatorUI.lua --
----------------------
	L["1 healing spell power increases hp/cast by"] = true;
	L["1 healing spell power adds"] = true;
	
	L["HP/s:"] = true;
	L["HP/mana:"] = true;
	L["HP/cast:"] = true;
	L["HP/manabar:"] = true;
	L["Spell crit (%):"] = true;
	L["Cast time (s):"] = true;
	L["HP/tick:"] = true;
	L["Spell haste (%):"] = true;
	L["No spell selected"] = true;
	L["n/a"] = true; --Abbreviation of "not applicable"
	L["Infinite"] = true;
	L["auto"] = true; --Abbreviation of "automatic"; when the best spell has been automatically selected
	