HealPointsCharUI = { };
local L = LibStub("AceLocale-3.0"):GetLocale("HealPoints") --Get the localization for our addon

function HealPointsCharUI:AddStatFrames()
	HealPointsCharUI:AddHPStatFrame();
end;

function HealPointsCharUI:AddHPStatFrame()
	local id = #PAPERDOLL_STATCATEGORY_DEFAULTORDER + 1
	local frame = CreateFrame("Frame", "CharacterStatsPaneCategory"..id, CharacterStatsPaneScrollChild, "StatGroupTemplate")

	STAT_CATEGORY_HEALPOINTS = L["HealPoints"]
	PAPERDOLL_STATCATEGORIES["HEALPOINTS"] = {
		["id"] = id,
		stats = {
			"HP_HEALPOINTS",
			"HP_POWERPOINTS",
			"HP_ENDURANCEPOINTS",
		}
	}
	PAPERDOLL_STATCATEGORY_DEFAULTORDER[id] = "HEALPOINTS"
	PAPERDOLL_STATINFO["HP_HEALPOINTS"] =      { updateFunc = function(statFrame, unit) HealPointsCharUI:SetHealPoints(statFrame, unit) end }
	PAPERDOLL_STATINFO["HP_POWERPOINTS"] =     { updateFunc = function(statFrame, unit) HealPointsCharUI:SetPowerPoints(statFrame, unit) end }
	PAPERDOLL_STATINFO["HP_ENDURANCEPOINTS"] = { updateFunc = function(statFrame, unit) HealPointsCharUI:SetEndurancePoints(statFrame, unit) end }
end

function HealPointsCharUI:SetHealPoints(statFrame, unit)
	--if (unit ~= "player") then
--		statFrame:Hide();
		--return;
	--end

	local stats = HealPointsCalculator:GetCurrentHealPoints(nil);
	local healPoints = stats.healPoints;

	PaperDollFrame_SetLabelAndText(statFrame, L["Heal Points"], healPoints, false);

	--statFrame:SetScript("OnEnter", PaperDollFrame_MeleeHitChance_OnEnter);
	--statFrame:Show();

	--statFrame.tooltip = HIGHLIGHT_FONT_COLOR_CODE..format(PAPERDOLLFRAME_TOOLTIP_FORMAT, HEALTH).." "..health..FONT_COLOR_CODE_CLOSE;
	--statFrame.tooltip2 = STAT_HEALTH_TOOLTIP;
	statFrame:Show();
end;

function HealPointsCharUI:SetPowerPoints(statFrame, unit)
--	if (unit ~= "player") then
		--statFrame:Hide();
		--return;
	--end

	local stats = HealPointsCalculator:GetCurrentHealPoints(nil);
	local powerPoints = stats.powerPoints;

	PaperDollFrame_SetLabelAndText(statFrame, L["Power Points"], powerPoints, false);
	statFrame:Show();
end;

function HealPointsCharUI:SetEndurancePoints(statFrame, unit)
	--if (unit ~= "player") then
--		statFrame:Hide();
		--return;
	--end

	local stats = HealPointsCalculator:GetCurrentHealPoints(nil);
	local endurancePoints = stats.endurancePoints;

	PaperDollFrame_SetLabelAndText(statFrame, L["Endurance Points"], endurancePoints, false);
	statFrame:Show();
end;

function HealPointsCharUI:setTooltip()
  if (HealPoints.ISHEALER and HealPoints:IsEnabled()) then
    GameTooltip:SetOwner(this, "ANCHOR_RIGHT");
    GameTooltip:SetText(L["HealPoints"].." "..format("%5.0f", this.healPoints), HIGHLIGHT_FONT_COLOR.r, HIGHLIGHT_FONT_COLOR.g, HIGHLIGHT_FONT_COLOR.b);
    GameTooltip:AddDoubleLine(L["PowerPoints"].." ("..this.powerText.."):", format("%5.0f", this.powerPoints), NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b, HIGHLIGHT_FONT_COLOR.r, HIGHLIGHT_FONT_COLOR.g, HIGHLIGHT_FONT_COLOR.b);
    GameTooltip:AddDoubleLine(L["EndurancePoints"].." ("..this.enduranceText.."):", format("%5.0f", this.endurancePoints), NORMAL_FONT_COLOR.r, NORMAL_FONT_COLOR.g, NORMAL_FONT_COLOR.b, HIGHLIGHT_FONT_COLOR.r, HIGHLIGHT_FONT_COLOR.g, HIGHLIGHT_FONT_COLOR.b);
    GameTooltip:AddLine(L["Hint: Click to show the HealPoints calculator"], GREEN_FONT_COLOR.r, GREEN_FONT_COLOR.g, GREEN_FONT_COLOR.b);
    GameTooltip:Show();
  end
end

function HealPointsCharUI:setStats(healPoints, powerPoints, endurancePoints, powerSpell, enduranceSpell)
  local label = getglobal("HealPoints_CharFrameLabel");
  local text = getglobal("HealPoints_CharFrameStatText");
  local frame = getglobal("HealPoints_CharFrame");

  frame.healPoints = healPoints;
  frame.powerPoints = powerPoints;
  frame.endurancePoints = endurancePoints;
  if (powerSpell == nil) then
    frame.powerText = "No spell selected";
  else
    frame.powerText = powerSpell.class['abbr'].." "..powerSpell['rank'];
  end
  if (enduranceSpell == nil) then
    frame.enduranceText = "No spell selected";
  else
    frame.enduranceText = enduranceSpell.class['abbr'].." "..enduranceSpell['rank'];
  end

  label:SetText("HealPoints:");
  text:SetText(format("%5.0f", healPoints));
end
